# $Revision: 1.50 $, $Date: 2006/12/23 20:06:34 $
# TODO
# - make --with-libradius compile
#
# Conditional build:
%bcond_without	kerberos5	# build with GSSAPI support
%bcond_with	radius		# build with radius support
#
Summary:	User-space IPsec tools for the Linux IPsec implementation
Summary(pl):	Narzdzia przestrzeni uytkownika dla linuksowej implementacji IPsec
Name:		ipsec-tools
Version:	0.6.6
Release:	3
License:	BSD
Group:		Networking/Admin
Source0:	http://dl.sourceforge.net/ipsec-tools/%{name}-%{version}.tar.bz2
# Source0-md5:	e908f3cf367e31c7902df5ab16fbe5c3
Source1:	%{name}-racoon.init
Source2:	%{name}-racoon.sysconfig
URL:		http://ipsec-tools.sourceforge.net/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
%{?with_kerberos5:BuildRequires:	heimdal-devel >= 0.7}
BuildRequires:	libtool
BuildRequires:	linux-libc-headers >= 7:2.5.54
BuildRequires:	openssl-devel >= 0.9.7d
%{?with_radius:BuildRequires:	radius}
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	libipsec = %{version}-%{release}
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# needed to use /var/run/racoon as sockdir
%define		_localstatedir		/var/run

%description
IPsec-Tools is a port of the KAME Project's IPsec tools to the Linux
IPsec implementation. IPsec-Tools provides racoon, an IKE daemon;
libipsec, a PFKey implementation; and setkey, a security policy and
security association database configuration utility.

%description -l pl
IPsec-Tools to port narzdzi IPsec z projektu KAME do linuksowej
implementacji IPsec. IPsec-Tools dostarczaj: racoona - demona IKE;
libipsec - implementacj PFKey; oraz setkey - narzdzie konfiguracyjne
do polityki bezpieczestwa oraz asocjacyjnej bazy danych
bezpieczestwa.

%package -n libipsec
Summary:	PFKeyV2 library
Summary(pl):	Biblioteka PFKeyV2
Group:		Libraries

%description -n libipsec
PFKeyV2 library.

%description -n libipsec -l pl
Biblioteka PFKeyV2.

%package -n libipsec-devel
Summary:	PFKeyV2 library - development files
Summary(pl):	Pliki nagwkowe biblioteki PFKeyV2
Group:		Development/Libraries
Requires:	libipsec = %{version}-%{release}

%description -n libipsec-devel
PFKeyV2 library - development files.

%description -n libipsec-devel -l pl
Pliki nagwkowe biblioteki PFKeyV2.

%package -n libipsec-static
Summary:	PFKeyV2 static library
Summary(pl):	Biblioteka statyczna PFKeyV2
Group:		Development/Libraries
Requires:	libipsec-devel = %{version}-%{release}

%description -n libipsec-static
PFKeyV2 static library.

%description -n libipsec-static -l pl
Biblioteka statyczna PFKeyV2.

%prep
%setup -q

%{__sed} -i 's!@INCLUDE_GLIBC@!!g' src/Makefile.am
%{__sed} -i 's!<gssapi/gssapi\.h>!"/usr/include/gssapi.h"!' src/racoon/gssapi.h
%{__sed} -i 's/-Werror//' configure.ac

%build
%{__libtoolize}
%{__aclocal} -I .
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	%{?with_kerberos5:--enable-gssapi} \
	%{?with_radius:--with-libradius} \
	--with-kernel-headers=%{_includedir} \
	--enable-dpd \
	--enable-frag \
	--enable-hybrid \
	--enable-idea \
	--enable-ipv6 \
	--enable-natt \
	--enable-natt-versions \
	--enable-rc5 \
	--enable-adminport \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,racoon,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/racoon
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/racoon
install src/racoon/samples/*.txt src/racoon/samples/*.conf $RPM_BUILD_ROOT%{_sysconfdir}/racoon

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add racoon
if [ -f /var/lock/subsys/racoon ]; then
	/etc/rc.d/init.d/racoon restart 1>&2
else
	echo "Type \"/etc/rc.d/init.d/racoon start\" to start racoon." 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/racoon ]; then
		/etc/rc.d/init.d/racoon stop >&2
	fi
	/sbin/chkconfig --del racoon
fi

%post	-n libipsec -p /sbin/ldconfig
%postun	-n libipsec -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README ChangeLog src/racoon/{doc,samples} src/setkey/sample*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/racoon
%attr(750,root,root) %dir %{_sysconfdir}/racoon
%attr(600,root,root) %{_sysconfdir}/racoon/*.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/racoon/*.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/racoon/*.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/racoon
%dir %{_localstatedir}/racoon
%{_mandir}/man[58]/*

%files -n libipsec
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libipsec.so.*.*.*
%attr(755,root,root) %{_libdir}/libracoon.so.*.*.*

%files -n libipsec-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libipsec.so
%attr(755,root,root) %{_libdir}/libracoon.so
%{_libdir}/libipsec.la
%{_libdir}/libracoon.la
%{_includedir}/libipsec
%{_includedir}/racoon
%{_mandir}/man3/*

%files -n libipsec-static
%defattr(644,root,root,755)
%{_libdir}/libipsec.a
%{_libdir}/libracoon.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipsec-tools.spec,v $
Revision 1.50  2006/12/23 20:06:34  qboosh
- fixed sock path (/var/racoon -> /var/run/racoon), package its dir
- release 3

Revision 1.49  2006/08/09 20:14:28  arekm
- rel 2

Revision 1.48  2006/06/16 06:39:05  zawadaa
- up to 0.6.6
- STBR

Revision 1.47  2006/04/16 21:53:53  glen
- fix chkconfig, rc-scripts deps

Revision 1.46  2006/02/07 12:19:50  zawadaa
- cleanups, yes satype-revert.patch is outdated ;-)
- STBR - it works on production

Revision 1.45  2006/02/04 23:19:56  areq
- 0.6.5
- satype-revert.patch outdated ?

Revision 1.44  2006/01/12 19:34:18  qboosh
- package racoon headers

Revision 1.43  2005/12/28 18:44:40  zawadaa
- add patch from Krzysztof Oledzki,
- now /32 tunnels works
- STBR

Revision 1.42  2005/12/10 21:14:45  areq
- 0.6.4

Revision 1.41  2005/11/21 22:08:45  areq
- 0.6.3

Revision 1.40  2005/10/17 23:07:00  areq
- 0.6.2

Revision 1.39  2005/10/04 22:50:08  zawadaa
- up to 0.6.2.beta2

Revision 1.38  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.37  2005/08/21 09:50:12  areq
- 0.6.1

Revision 1.36  2005/07/10 14:01:02  areq
- enable adminport (require by racoonctl)

Revision 1.35  2005/07/08 18:06:23  arekm
- BR heimdal-devel >= 0.7

Revision 1.34  2005/07/03 22:52:06  arekm
- enable krb

Revision 1.33  2005/07/01 20:41:12  qboosh
- simplified setup

Revision 1.32  2005/06/29 21:32:30  zawadaa
- up to 0.6

Revision 1.31  2005/06/18 17:15:17  ankry
- tabs

Revision 1.30  2005/06/18 17:11:06  qboosh
- unified macro usage, typo

Revision 1.29  2005/06/18 15:17:53  areq
- 0.6-0.rc1
- outdated remove-adminsock_path.patch

Revision 1.28  2005/06/12 13:59:31  areq
- add remove-adminsock_path.patch

Revision 1.27  2005/05/07 15:23:43  zawadaa
- new init
- add TODO

Revision 1.26  2005/04/16 19:54:09  zawadaa
- update to 0.6.beta1
- kerberos works

Revision 1.25  2005/04/01 20:30:10  darekr
- simplified %setup

Revision 1.24  2005/03/14 20:07:43  darekr
- unified

Revision 1.23  2005/02/19 01:58:05  zawadaa
- update to 0.5
- GSSAPI is broken for now - don't build by default
- STBR for test please

Revision 1.22  2005/02/04 13:40:06  zawadaa
- update to 0.5rc2
- --with kerberos5 doesn't build - gssapi problem
- NFY

Revision 1.21  2005/02/03 15:30:34  zawadaa
- update do 0.5rc1
- s/perl/sed/g
- doesn't build, need help

Revision 1.20  2004/11/06 16:19:40  arekm
- 0.5pre

Revision 1.19  2004/06/16 17:17:55  paszczus
- updated to 0.3.3

Revision 1.18  2004/05/20 07:52:31  paszczus
- updated to 0.3.2

Revision 1.17  2004/04/20 23:14:46  krzak
- up to 0.3.1

Revision 1.16  2004/04/16 10:22:08  pluto
- updated to 0.2.5 (security update).

  ( racoon does not verify digital signatures on Phase1 packets.
    this means that anybody holding the correct X.509 certificate
    would be able to establish a connection, even if they did not
    have the corresponding private key)

- bcond renamed (s/kerberos/kerberos5/).

Revision 1.15  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.14  2004/03/02 11:34:19  qboosh
- updated to 0.2.4, removed obsolete patches, updated ac_am patch
- added salen and install patches, kerberos support builds now

Revision 1.13  2004/03/02 10:19:50  qboosh
- build with llh, strict internal deps
- make use of kerberos bcond - but doesn't build now

Revision 1.12  2004/03/02 05:48:29  aredridel
- add BR: openssl-devel
- add --with kerberos

Revision 1.11  2004/01/03 02:43:55  aredridel
- fixed borked build system more

Revision 1.10  2004/01/03 00:43:17  aredridel
- fix build without dist_kernel

Revision 1.9  2003/12/12 08:11:36  mguevara
- added customized patches from sourceforge (see comments for the ipsec-tools
  patches)
- release 3 (v. 0.2.2)
- tested on two fresh 2.6.0-test10 kernel machines (Nest and Ac)

Revision 1.8  2003/11/27 12:35:04  mguevara
- rel 2 (v. 0.2.2)
- added racoon.init start|stop|restart|status
- added simple patch to racoon.conf which removes CAST128 (do we support
  this encryption?) to no-error default-config startup

Revision 1.7  2003/08/22 15:44:04  ankry
- cosmetics: spaces -> tabs

Revision 1.6  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.5  2003/07/15 08:38:16  qboosh
- base R: libipsec

Revision 1.4  2003/07/14 18:58:32  qboosh
- pl, cleanup

Revision 1.3  2003/07/11 23:45:40  arekm
- fix md5

Revision 1.2  2003/07/11 23:37:08  arekm
- almost everything is here (only racoon.init needs to be written)

Revision 1.1  2003/07/11 23:04:08  arekm
- unfinished
